import torch

class LinearRegression(torch.nn.Module):
    def __init__(self, inputSize, output_size):
        super(LinearRegression, self).__init__()
        self.inputSize = inputSize
        self.output_size = output_size
        self.linear = torch.nn.Linear(inputSize, output_size)

    def forward(self, x):
        x = torch.squeeze(x, -1)
        
        out = self.linear(x)
        return out
